import 'package:chat/data/constants.dart';
import 'package:flutter/material.dart';

class ShadowButton {
  Widget builder(Gradient gradientColor, Text text, callback) {
    return new RaisedButton(
        padding: EdgeInsets.zero,
        elevation: 3.0,
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.all(Radius.circular(Constants.BigButtonRadius)),
        ),
        onPressed: () {
          callback();
        },
        child: new Container(
          decoration: BoxDecoration(
            borderRadius: BorderRadius.circular(Constants.BigButtonRadius),
            gradient: gradientColor,
          ),
          child: text,
          padding: EdgeInsets.fromLTRB(16, 8, 16, 8),
          alignment: Alignment.center,
        ));
  }
}
